slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPCISSSetRefinement

Sets the values of various refinement parameters in the CISS solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSSetRefinement(NEP nep,PetscInt inner,PetscInt blsize)

Logically Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| inner | - number of iterative refinement iterations (inner loop)
| blsize | - number of iterative refinement iterations (blocksize loop)

### Options Database Keys

| -nep_ciss_refine_inner | - Sets number of inner iterations
| -nep_ciss_refine_blocksize | - Sets number of blocksize iterations

### See Also

NEPCISSGetRefinement()

### Level

advanced

### Location

src/nep/impls/ciss/nciss.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages